# Uses of Interface
org.eclipse.jface.preference.IPreferenceStore

Packages that use IPreferenceStore
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.help.ui
Provides a framework for editing and contributing to the help search scope.
org.eclipse.jface.commands
Provides JFace-specific support for commands.
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.menus
Provides support for trim specification.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.formatter
Provides a content formatter add-on for an `ITextViewer`.
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.jface.text.templates.persistence
Provides persistence support for templates.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.editors.text.templates
Application programming interfaces for interaction with the Eclipse text editor template support.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.
org.eclipse.ui.ide.dialogs
APIs for dialogs in the IDE-specific portion of the Eclipse Platform User Interface.
org.eclipse.ui.plugin
Class hierarchies for plug-ins that integrate with the Eclipse Platform UI.
org.eclipse.ui.preferences
Classes for using the preferences support in org.eclipse.core.runtime.preferences
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.texteditor.rulers
Provides interfaces and classes for the `org.eclipse.ui.workbench.texteditor.rulerColumns`.
org.eclipse.ui.texteditor.spelling
Partial infrastructure for spell checking in text editors.
org.eclipse.ui.texteditor.templates
Application programming interfaces for interaction with the Eclipse text editor template support.

## Uses of IPreferenceStore in org.eclipse.compare

Methods in org.eclipse.compare that return IPreferenceStore
Modifier and Type
Method
Description
`IPreferenceStore`
CompareConfiguration.`getPreferenceStore()`
Returns the preference store of this configuration.
Constructors in org.eclipse.compare with parameters of type IPreferenceStore
Modifier
Constructor
Description
``
`CompareConfiguration(IPreferenceStore prefStore)`
Creates a new configuration with editable left and right sides, suitable default labels, and no images.

## Uses of IPreferenceStore in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return IPreferenceStore
Modifier and Type
Method
Description
`protected IPreferenceStore`
AbstractDebugView.`getPreferenceStore()`
Convenience method to return the preference store for the Debug UI plug-in.
`static IPreferenceStore`
DebugUITools.`getPreferenceStore()`
Returns the preference store for the debug UI plug-in.

## Uses of IPreferenceStore in org.eclipse.help.ui

Methods in org.eclipse.help.ui with parameters of type IPreferenceStore
Modifier and Type
Method
Description
`ISearchScope`
ISearchScopeFactory.`createSearchScope(IPreferenceStore store, String engineId, Dictionary<String,Object> parameters)`
Returns a new search scope object created from the data in the preference store.
`protected void`
RootScopePage.`initializeDefaults(IPreferenceStore store)`
Initializes default values of the store to be used when the user presses 'Defaults' button.

## Uses of IPreferenceStore in org.eclipse.jface.commands

Methods in org.eclipse.jface.commands with parameters of type IPreferenceStore
Modifier and Type
Method
Description
`abstract void`
PersistentState.`load(IPreferenceStore store, String preferenceKey)`
Loads this state from the preference store, given the location at which to look.
`final void`
ToggleState.`load(IPreferenceStore store, String preferenceKey)`
`abstract void`
PersistentState.`save(IPreferenceStore store, String preferenceKey)`
Saves this state to the preference store, given the location at which to write.
`final void`
ToggleState.`save(IPreferenceStore store, String preferenceKey)`

## Uses of IPreferenceStore in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs that return IPreferenceStore
Modifier and Type
Method
Description
`IPreferenceStore`
MessageDialogWithToggle.`getPrefStore()`
An accessor for the current preference store for this dialog.
Methods in org.eclipse.jface.dialogs with parameters of type IPreferenceStore
Modifier and Type
Method
Description
`static MessageDialogWithToggle`
MessageDialogWithToggle.`open(int kind, Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key, int style)`
Convenience method to open a simple dialog as specified by the `kind` flag, with a "don't show again' toggle.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`open(int kind, Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key, int style, LinkedHashMap<String,Integer> buttonLabelToIdMap)`
Convenience method to open a simple dialog as specified by the `kind` flag, with a "don't show again' toggle.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`openError(Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key)`
Convenience method to open a standard error dialog.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`openInformation(Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key)`
Convenience method to open a standard information dialog.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`openOkCancelConfirm(Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key)`
Convenience method to open a simple confirm (OK/Cancel) dialog.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`openWarning(Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key)`
Convenience method to open a standard warning dialog.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`openYesNoCancelQuestion(Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key)`
Convenience method to open a simple question Yes/No/Cancel dialog.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`openYesNoQuestion(Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key)`
Convenience method to open a simple Yes/No question dialog.
`void`
MessageDialogWithToggle.`setPrefStore(IPreferenceStore prefStore)`
A mutator for the preference store to be modified by the toggle button.

## Uses of IPreferenceStore in org.eclipse.jface.menus

Methods in org.eclipse.jface.menus with parameters of type IPreferenceStore
Modifier and Type
Method
Description
`final void`
TextState.`load(IPreferenceStore store, String preferenceKey)`
`final void`
TextState.`save(IPreferenceStore store, String preferenceKey)`

## Uses of IPreferenceStore in org.eclipse.jface.preference

Subinterfaces of IPreferenceStore in org.eclipse.jface.preference
Modifier and Type
Interface
Description
`interface`
`IPersistentPreferenceStore`
IPersistentPreferenceStore is a preference store that can be saved.
Classes in org.eclipse.jface.preference that implement IPreferenceStore
Modifier and Type
Class
Description
`class`
`PreferenceStore`
A concrete preference store implementation based on an internal `java.util.Properties` object, with support for persisting the non-default preference values to files or streams.
Methods in org.eclipse.jface.preference that return IPreferenceStore
Modifier and Type
Method
Description
`protected IPreferenceStore`
PreferencePage.`doGetPreferenceStore()`
Returns the preference store of this preference page.
`IPreferenceStore`
FieldEditor.`getPreferenceStore()`
Returns the preference store used by this field editor.
`IPreferenceStore`
IPreferencePageContainer.`getPreferenceStore()`
Returns the preference store.
`static IPreferenceStore`
JFacePreferences.`getPreferenceStore()`
Return the preference store for the receiver.
`IPreferenceStore`
PreferenceDialog.`getPreferenceStore()`
`IPreferenceStore`
PreferencePage.`getPreferenceStore()`
Returns the preference store of this preference page.
Methods in org.eclipse.jface.preference with parameters of type IPreferenceStore
Modifier and Type
Method
Description
`static RGB`
PreferenceConverter.`getColor(IPreferenceStore store, String name)`
Returns the current value of the color-valued preference with the given name in the given preference store.
`static RGB`
PreferenceConverter.`getDefaultColor(IPreferenceStore store, String name)`
Returns the default value for the color-valued preference with the given name in the given preference store.
`static FontData`
PreferenceConverter.`getDefaultFontData(IPreferenceStore store, String name)`
Returns a single default value for the font-valued preference with the given name in the given preference store.
`static FontData[]`
PreferenceConverter.`getDefaultFontDataArray(IPreferenceStore store, String name)`
Returns the default value array for the font-valued preference with the given name in the given preference store.
`static Point`
PreferenceConverter.`getDefaultPoint(IPreferenceStore store, String name)`
Returns the default value for the point-valued preference with the given name in the given preference store.
`static Rectangle`
PreferenceConverter.`getDefaultRectangle(IPreferenceStore store, String name)`
Returns the default value for the rectangle-valued preference with the given name in the given preference store.
`static FontData`
PreferenceConverter.`getFontData(IPreferenceStore store, String name)`
Returns the current value of the first entry of the font-valued preference with the given name in the given preference store.
`static FontData[]`
PreferenceConverter.`getFontDataArray(IPreferenceStore store, String name)`
Returns the current value of the font-valued preference with the given name in the given preference store.
`static Point`
PreferenceConverter.`getPoint(IPreferenceStore store, String name)`
Returns the current value of the point-valued preference with the given name in the given preference store.
`static Rectangle`
PreferenceConverter.`getRectangle(IPreferenceStore store, String name)`
Returns the current value of the rectangle-valued preference with the given name in the given preference store.
`static void`
PreferenceConverter.`putValue(IPreferenceStore store, String name, FontData[] value)`
Sets the current value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setDefault(IPreferenceStore store, String name, FontData value)`
Sets the default value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setDefault(IPreferenceStore store, String name, FontData[] value)`
Sets the default value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setDefault(IPreferenceStore store, String name, Point value)`
Sets the default value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setDefault(IPreferenceStore store, String name, Rectangle value)`
Sets the default value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setDefault(IPreferenceStore store, String name, RGB value)`
Sets the default value of the preference with the given name in the given preference store.
`void`
FieldEditor.`setPreferenceStore(IPreferenceStore store)`
Sets the preference store used by this field editor.
`static void`
JFacePreferences.`setPreferenceStore(IPreferenceStore store)`
Set the preference store for the receiver.
`void`
PreferenceDialog.`setPreferenceStore(IPreferenceStore store)`
Sets the preference store for this preference dialog.
`void`
PreferencePage.`setPreferenceStore(IPreferenceStore store)`
Sets the preference store for this preference page.
`static void`
PreferenceConverter.`setValue(IPreferenceStore store, String name, FontData value)`
Sets the current value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setValue(IPreferenceStore store, String name, FontData[] value)`
Sets the current value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setValue(IPreferenceStore store, String name, Point value)`
Sets the current value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setValue(IPreferenceStore store, String name, Rectangle value)`
Sets the current value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setValue(IPreferenceStore store, String name, RGB value)`
Sets the current value of the preference with the given name in the given preference store.
`<T> void`
PreferenceMemento.`setValue(IPreferenceStore store, String name, T value)`
Set the value for the given preference on the given store.
Constructors in org.eclipse.jface.preference with parameters of type IPreferenceStore
Modifier
Constructor
Description
``
`BooleanPropertyAction(String title, IPreferenceStore preferenceStore, String property)`
Create a new instance of the receiver.

## Uses of IPreferenceStore in org.eclipse.jface.text

Methods in org.eclipse.jface.text with parameters of type IPreferenceStore
Modifier and Type
Method
Description
`static void`
PropagatingFontFieldEditor.`startPropagate(IPreferenceStore source, String sourceKey, IPreferenceStore target, String targetKey)`
Deprecated.
Starts the propagation of the font preference stored in the source preference store under the source key to the target preference store using the target preference key.

## Uses of IPreferenceStore in org.eclipse.jface.text.formatter

Methods in org.eclipse.jface.text.formatter with parameters of type IPreferenceStore
Modifier and Type
Method
Description
`void`
FormattingContext.`mapToStore(Map<Object,Object> map, IPreferenceStore store)`
`void`
IFormattingContext.`mapToStore(Map<Object,Object> map, IPreferenceStore store)`
Stores the preferences from a map to a preference store.
`void`
FormattingContext.`storeToMap(IPreferenceStore store, Map<Object,Object> map, boolean useDefault)`
`void`
IFormattingContext.`storeToMap(IPreferenceStore store, Map<Object,Object> map, boolean useDefault)`
Retrieves the preferences from a preference store in a map.

## Uses of IPreferenceStore in org.eclipse.jface.text.hyperlink

Constructors in org.eclipse.jface.text.hyperlink with parameters of type IPreferenceStore
Modifier
Constructor
Description
``
`DefaultHyperlinkPresenter(IPreferenceStore store)`
Creates a new default hyperlink presenter which uses `DefaultHyperlinkPresenter.HYPERLINK_COLOR` to read the color from the given preference store.
``
`MultipleHyperlinkPresenter(IPreferenceStore store)`
Creates a new multiple hyperlink presenter which uses `DefaultHyperlinkPresenter.HYPERLINK_COLOR` to read the color from the given preference store.

## Uses of IPreferenceStore in org.eclipse.jface.text.templates.persistence

Constructors in org.eclipse.jface.text.templates.persistence with parameters of type IPreferenceStore
Modifier
Constructor
Description
``
`TemplateStore(IPreferenceStore store, String key)`
Creates a new template store.
``
`TemplateStore(ContextTypeRegistry registry, IPreferenceStore store, String key)`
Creates a new template store with a context type registry.

## Uses of IPreferenceStore in org.eclipse.ui

Methods in org.eclipse.ui that return IPreferenceStore
Modifier and Type
Method
Description
`static IPreferenceStore`
PlatformUI.`createPreferenceStore(Class<?> clazz)`
Creates a `IPreferenceStore` store for the bundle that loaded that class
`IPreferenceStore`
IWorkbench.`getPreferenceStore()`
Deprecated.
this returns the internal preference store for the workbench, which clients should not use.
`static IPreferenceStore`
PlatformUI.`getPreferenceStore()`
Returns the preference store used for publicly settable workbench preferences.

## Uses of IPreferenceStore in org.eclipse.ui.editors.text

Fields in org.eclipse.ui.editors.text declared as IPreferenceStore
Modifier and Type
Field
Description
`protected IPreferenceStore`
TextSourceViewerConfiguration.`fPreferenceStore`
The preference store used to initialize this configuration.
Methods in org.eclipse.ui.editors.text that return IPreferenceStore
Modifier and Type
Method
Description
`static IPreferenceStore`
EditorsUI.`getPreferenceStore()`
Returns the preference store of this plug-in.
Methods in org.eclipse.ui.editors.text with parameters of type IPreferenceStore
Modifier and Type
Method
Description
`static void`
TextEditorPreferencePage.`initDefaults(IPreferenceStore store)`
Deprecated.
Initializes the defaults for the given store.
`static void`
TextEditorPreferenceConstants.`initializeDefaultValues(IPreferenceStore store)`
Initializes the given preference store with the default values.
`static void`
EditorsUI.`useAnnotationsPreferencePage(IPreferenceStore store)`
Removes all preference which are handled by this plug-in's general preference pages from the given store and prevents setting the default values in the future.
`static void`
EditorsUI.`useQuickDiffPreferencePage(IPreferenceStore store)`
Removes all preference which are handled by this plug-in's Quick Diff preference page from the given store and prevents setting the default values in the future.
Constructors in org.eclipse.ui.editors.text with parameters of type IPreferenceStore
Modifier
Constructor
Description
``
`TextSourceViewerConfiguration(IPreferenceStore preferenceStore)`
Creates a text source viewer configuration and initializes it with the given preference store.

## Uses of IPreferenceStore in org.eclipse.ui.editors.text.templates

Constructors in org.eclipse.ui.editors.text.templates with parameters of type IPreferenceStore
Modifier
Constructor
Description
``
`ContributionTemplateStore(IPreferenceStore store, String key)`
Creates a new template store.
``
`ContributionTemplateStore(ContextTypeRegistry registry, IPreferenceStore store, String key)`
Creates a new template store with a context type registry.

## Uses of IPreferenceStore in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers with parameters of type IPreferenceStore
Modifier and Type
Method
Description
`void`
RadioState.`load(IPreferenceStore store, String preferenceKey)`
`void`
RadioState.`save(IPreferenceStore store, String preferenceKey)`

## Uses of IPreferenceStore in org.eclipse.ui.ide.dialogs

Methods in org.eclipse.ui.ide.dialogs with parameters of type IPreferenceStore
Modifier and Type
Method
Description
`void`
AbstractEncodingFieldEditor.`setPreferenceStore(IPreferenceStore store)`

## Uses of IPreferenceStore in org.eclipse.ui.plugin

Methods in org.eclipse.ui.plugin that return IPreferenceStore
Modifier and Type
Method
Description
`IPreferenceStore`
AbstractUIPlugin.`getPreferenceStore()`
Returns the preference store for this UI plug-in.
Methods in org.eclipse.ui.plugin with parameters of type IPreferenceStore
Modifier and Type
Method
Description
`protected void`
AbstractUIPlugin.`initializeDefaultPreferences(IPreferenceStore store)`
Deprecated.
this is only called if the runtime compatibility layer is present.

## Uses of IPreferenceStore in org.eclipse.ui.preferences

Classes in org.eclipse.ui.preferences that implement IPreferenceStore
Modifier and Type
Class
Description
`class`
`ScopedPreferenceStore`
The ScopedPreferenceStore is an IPreferenceStore that uses the scopes provided in org.eclipse.core.runtime.preferences.

## Uses of IPreferenceStore in org.eclipse.ui.texteditor

Classes in org.eclipse.ui.texteditor that implement IPreferenceStore
Modifier and Type
Class
Description
`class`
`ChainedPreferenceStore`
Preference store that composes multiple preference stores in a chain and serves a preference value from the first preference store in the chain that contains the preference.
Methods in org.eclipse.ui.texteditor that return IPreferenceStore
Modifier and Type
Method
Description
`protected final IPreferenceStore`
AbstractTextEditor.`getPreferenceStore()`
Returns this editor's preference store or `null` if none has been set.
Methods in org.eclipse.ui.texteditor with parameters of type IPreferenceStore
Modifier and Type
Method
Description
`static void`
AbstractDecoratedTextEditorPreferenceConstants.`initializeDefaultValues(IPreferenceStore store)`
Initializes the given preference store with the default values.
`static void`
MarkerAnnotationPreferences.`initializeDefaultValues(IPreferenceStore store)`
Initializes the given preference store with the default marker annotation values.
`void`
SourceViewerDecorationSupport.`install(IPreferenceStore store)`
Installs this decoration support on the given preference store.
`protected void`
AbstractTextEditor.`setPreferenceStore(IPreferenceStore store)`
Sets this editor's preference store.
`void`
ShowWhitespaceCharactersAction.`setPreferenceStore(IPreferenceStore store)`
Sets the preference store of this action.
`static void`
WorkbenchChainedTextFontFieldEditor.`startPropagate(IPreferenceStore target, String targetKey)`
Deprecated.
Starts the propagation of the text font preference set in the workbench to given target preference store using the given preference key.
`static void`
MarkerAnnotationPreferences.`useAnnotationsPreferencePage(IPreferenceStore store)`
Removes the marker annotation values which are shown on the general Annotations page from the given store and prevents setting the default values in the future.
`static void`
MarkerAnnotationPreferences.`useQuickDiffPreferencePage(IPreferenceStore store)`
Removes the Quick Diff marker annotation values which are shown on the general Quick Diff page from the given store and prevents setting the default values in the future.
Constructors in org.eclipse.ui.texteditor with parameters of type IPreferenceStore
Modifier
Constructor
Description
``
`ChainedPreferenceStore(IPreferenceStore[] preferenceStores)`
Sets the chained preference stores.
``
`HyperlinkDetectorRegistry(IPreferenceStore preferenceStore)`
Creates a new hyperlink detector registry that controls hyperlink enablement via the given preference store.
``
`ShowWhitespaceCharactersAction(ResourceBundle resourceBundle, String prefix, ITextEditor editor, IPreferenceStore store)`
Construct the action and initialize its state.

## Uses of IPreferenceStore in org.eclipse.ui.texteditor.rulers

Constructors in org.eclipse.ui.texteditor.rulers with parameters of type IPreferenceStore
Modifier
Constructor
Description
``
`RulerColumnPreferenceAdapter(IPreferenceStore store, String key)`
Creates a new preference adapter that will read and write under the specified key in the given preference store.

## Uses of IPreferenceStore in org.eclipse.ui.texteditor.spelling

Methods in org.eclipse.ui.texteditor.spelling with parameters of type IPreferenceStore
Modifier and Type
Method
Description
`SpellingEngineDescriptor`
SpellingService.`getActiveSpellingEngineDescriptor(IPreferenceStore preferences)`
Returns the descriptor of the active spelling engine based on the value of the `PREFERENCE_SPELLING_ENGINE` preference in the given preferences.
Constructors in org.eclipse.ui.texteditor.spelling with parameters of type IPreferenceStore
Modifier
Constructor
Description
``
`SpellingService(IPreferenceStore preferences)`
Initializes the spelling service with the given preferences.

## Uses of IPreferenceStore in org.eclipse.ui.texteditor.templates

Methods in org.eclipse.ui.texteditor.templates that return IPreferenceStore
Modifier and Type
Method
Description
`protected abstract IPreferenceStore`
AbstractTemplatesPage.`getTemplatePreferenceStore()`
Returns the preference store used to create the template store returned by `AbstractTemplatesPage.getTemplateStore()`.